summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authordgriffiths2010-03-02 21:15:25 +0000
committerJakob Gahde2016-09-26 11:27:13 +0200
commit4c1de28d4c37f79852c92fdb49ca3dfa71df49ed (patch)
tree8c53cf7f3bbdfd83ead266ee3f2ff8d7be31a8a5
parenta6360c873bc2de75e6911ce9686212fd8082b884 (diff)
downloadaur-4c1de28d4c37f79852c92fdb49ca3dfa71df49ed.tar.gz
FS#18497
git-svn-id: file:///srv/repos/svn-packages/svn@70975 eb2447ed-0c53-47e4-bac8-5bc4a241df78 added patch git-svn-id: file:///srv/repos/svn-packages/svn@70980 eb2447ed-0c53-47e4-bac8-5bc4a241df78
-rw-r--r--.SRCINFO7
-rw-r--r--PKGBUILD32
-rw-r--r--jpc_dec.c.patch18
3 files changed, 45 insertions, 12 deletions
diff --git a/.SRCINFO b/.SRCINFO
index d7674316188..2eb27a725be 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
# Generated by mksrcinfo v8
-# Mon Sep 26 04:26:49 UTC 2016
+# Mon Sep 26 04:26:50 UTC 2016
pkgbase = jasper
pkgdesc = A software-based implementation of the codec specified in the emerging JPEG-2000 Part-1 standard
pkgver = 1.900.1
- pkgrel = 4
+ pkgrel = 5
url = http://www.ece.uvic.ca/~mdadams/jasper/
arch = i686
arch = x86_64
@@ -16,8 +16,11 @@ pkgbase = jasper
depends = mesa
options = !libtool
source = http://www.ece.uvic.ca/~mdadams/jasper/software/jasper-1.900.1.zip
+ source = jpc_dec.c.patch
md5sums = a342b2b4495b3e1394e161eb5d85d754
+ md5sums = 36de7128eea6f701c1e2e13ce5bd8d37
sha1sums = 9c5735f773922e580bf98c7c7dfda9bbed4c5191
+ sha1sums = c1a0176a15210c0af14d85e55ce566921957d780
pkgname = jasper
diff --git a/PKGBUILD b/PKGBUILD
index a5a47f8d160..7f284bee4f0 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,10 +1,11 @@
# $Id$
-# Maintainer: Eric Belanger <eric@archlinux.org>
+# Contributor: Eric Belanger <eric@archlinux.org>
# Contributor: Tobias Powalowski <tpowa@archlinux.org>
+# Maintainer: Daniel J Griffiths <ghost1227@archlinux.us>
pkgname=jasper
pkgver=1.900.1
-pkgrel=4
+pkgrel=5
pkgdesc="A software-based implementation of the codec specified in the emerging JPEG-2000 Part-1 standard"
arch=('i686' 'x86_64')
url="http://www.ece.uvic.ca/~mdadams/jasper/"
@@ -12,14 +13,25 @@ license=('custom:JasPer2.0')
depends=('libjpeg>=8' 'freeglut' 'libxi' 'libxmu' 'mesa')
makedepends=('unzip')
options=('!libtool')
-source=(http://www.ece.uvic.ca/~mdadams/${pkgname}/software/${pkgname}-${pkgver}.zip)
-md5sums=('a342b2b4495b3e1394e161eb5d85d754')
-sha1sums=('9c5735f773922e580bf98c7c7dfda9bbed4c5191')
+source=(http://www.ece.uvic.ca/~mdadams/${pkgname}/software/${pkgname}-${pkgver}.zip jpc_dec.c.patch)
+md5sums=('a342b2b4495b3e1394e161eb5d85d754'
+ '36de7128eea6f701c1e2e13ce5bd8d37')
+sha1sums=('9c5735f773922e580bf98c7c7dfda9bbed4c5191'
+ 'c1a0176a15210c0af14d85e55ce566921957d780')
build() {
- cd ${srcdir}/${pkgname}-${pkgver}
- ./configure --prefix=/usr --mandir=/usr/share/man --enable-shared || return 1
- make || return 1
- make DESTDIR=${pkgdir} install || return 1
- install -D -m644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
+ cd ${srcdir}/${pkgname}-${pkgver}
+
+ patch -Np1 < ${srcdir}/jpc_dec.c.patch || return 1
+ ./configure --prefix=/usr --mandir=/usr/share/man \
+ --enable-shared || return 1
+ make || return 1
+}
+
+package() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+
+ make DESTDIR=${pkgdir} install || return 1
+ install -Dm644 LICENSE \
+ ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
}
diff --git a/jpc_dec.c.patch b/jpc_dec.c.patch
new file mode 100644
index 00000000000..ae1cd0617ea
--- /dev/null
+++ b/jpc_dec.c.patch
@@ -0,0 +1,18 @@
+diff -urN jasper-1.900.1/src/libjasper/jpc/jpc_dec.c jasper-1.900.1-fix/src/libjasper/jpc/jpc_dec.c
+--- jasper-1.900.1/src/libjasper/jpc/jpc_dec.c 2007-01-19 14:43:07.000000000 -0700
++++ jasper-1.900.1-fix/src/libjasper/jpc/jpc_dec.c 2008-03-06 16:51:12.000000000 -0700
+@@ -1069,12 +1069,12 @@
+ /* Apply an inverse intercomponent transform if necessary. */
+ switch (tile->cp->mctid) {
+ case JPC_MCT_RCT:
+- assert(dec->numcomps == 3);
++ assert(dec->numcomps >= 3);
+ jpc_irct(tile->tcomps[0].data, tile->tcomps[1].data,
+ tile->tcomps[2].data);
+ break;
+ case JPC_MCT_ICT:
+- assert(dec->numcomps == 3);
++ assert(dec->numcomps >= 3);
+ jpc_iict(tile->tcomps[0].data, tile->tcomps[1].data,
+ tile->tcomps[2].data);
+ break;